halapi hierarchichalalignmentformatapi

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
hal::HDF5DNAIterator Class Reference
Inheritance diagram for hal::HDF5DNAIterator:

List of all members.

## Public Member Functions
| HDF5DNAIterator (HDF5Genome *genome, hal_index_t index)
hal_dna_t | getChar () const
hal_dna_t | getCompChar () const
void | setChar (hal_dna_t c)
void | toLeft () const
void | toRight () const
void | jumpTo (hal_size_t index) const
const Genome * | getGenome () const
Genome * | getGenome ()
hal_index_t | getArrayIndex () const
void | readString (std::string &outString, hal_size_t length, hal_bool_t reversed=false) const
void | writeString (const std::string &inString, hal_size_t length, hal_bool_t reversed=false)
bool | inRange () const
## Protected Attributes
hal_index_t | _index
HDF5Genome * | _genome

## Member Function Documentation

hal_index_t hal::HDF5DNAIterator::getArrayIndex | ( |  | ) | const`[inline, virtual]`

Get the index of the segment in the segment array

Implements hal::DNAIterator.

hal_dna_t hal::HDF5DNAIterator::getChar | ( |  | ) | const`[inline, virtual]`

Get the DNA character at this position

Implements hal::DNAIterator.

hal_dna_t hal::HDF5DNAIterator::getCompChar | ( |  | ) | const`[inline, virtual]`

Get the reverse Complemenet of the DNA character at this position

Implements hal::DNAIterator.

const Genome * hal::HDF5DNAIterator::getGenome | ( |  | ) | const`[inline, virtual]`

Get the containing (read-only) genome

Implements hal::DNAIterator.

Genome * hal::HDF5DNAIterator::getGenome | ( |  | ) | `[inline, virtual]`

Get the containing genome

Implements hal::DNAIterator.

void hal::HDF5DNAIterator::jumpTo | ( | hal_size_t | index | ) | const`[inline, virtual]`

Jump to any point on the genome (can lead to inefficient paging from disk if used irresponsibly)

Parameters:

  index | position in array to jump to

Implements hal::DNAIterator.

void hal::HDF5DNAIterator::setChar | ( | hal_dna_t | c | ) | `[inline, virtual]`

Set the DNA character at this position

Parameters:

  c | DNA character to set

Implements hal::DNAIterator.

void hal::HDF5DNAIterator::toLeft | ( |  | ) | const`[inline, virtual]`

Move to previous position

Implements hal::DNAIterator.

void hal::HDF5DNAIterator::toRight | ( |  | ) | const`[inline, virtual]`

Move to next position

Implements hal::DNAIterator.

The documentation for this class was generated from the following files:

- hdf5_impl/hdf5DNAIterator.h
- hdf5_impl/hdf5DNAIterator.cpp

All Classes Namespaces Functions Variables Friends